Fork me on GitHub




« 1 2 3 4 (5) 6 7 8 »


Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Régulier
Inscrit: 14/12/2015 23:48
Messages: 153
@Cedric : Dans mon répertoire "theme" il y a que des fichiers html.
Dans mon fichier "theme.html" je reconnais pas du PHP. Puis-je te l'envoyer pour le checker stp ?

Posté le : 29/09 14:02
Partager Twitter Partagez cette article sur GG+
Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Admin Frxoops
Inscrit: 16/03/2009 16:40
De Tende (06)
Messages: 3278
Citation :
aminov a écrit :
J'utilise comme modules "Blocksadmin", "Multimenus", "newbb", "pages" (wfdownloads j'ai la mise à jour que tu m'as proposé).
Il y a personne dans la communauté qui possède déjà une version de ces modules compatible avec PHP 7.3 ?


Pour Newbb, la dernière version en français est ici :
https://www.frxoops.org/modules/newbb/ ... id=241503#forumpost241503

Elle n'est pas définitive mais elle est compatible, je l'ai testée avec Php 7.4.7 en Août.

Posté le : 29/09 14:33

Open in new window

Xoopseuse Mai 2012 | Responsable équipe internationale | Recherche avancée en bas de page !
Partager Twitter Partagez cette article sur GG+
Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Admin Frxoops
Inscrit: 16/05/2003 18:10
De Rhone-Alpes
Messages: 3857
Bon,
très honnêtement,
comme l'a indiqué Cédric je crois,

pour une MAj depuis une version aussi ancienne,
il faut peut-être prendre du recul,
et voir quels modules sont nécessaires,

voir s'il existe des versions modernes et stables de ces modules ou des modules proposant le même type de traitement,

et faire un import MANUEL vers une table du module compatible.

Ainsi, on part d'un XOOPS tout neuf, en 2.5.10, avec des modules 100% compatible,
tu peux dans ce cas utiliser un thème Responsive moderne.

Dans tout les cas, il te faudra passer du temps,
mais passer du temps sur une très longue MAJ avec de nombreux inconnus,
et passer du temps sur un XOOPS sain, Up to date avec des modules a jour et un thème responsive,
il n'y a pas photo.

Ensuite, si la tâche te semble trop fastidieuse, tu peux sous-traiter...

Posté le : 29/09 14:44

Open in new window
Partager Twitter Partagez cette article sur GG+
Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Admin Frxoops
Inscrit: 16/05/2003 18:10
De Rhone-Alpes
Messages: 3857
Citation :
aminov a écrit :
J'utilise comme modules "Blocksadmin", "Multimenus", "newbb", "pages"


Blocksadmin : Inutile
Multimenus : plus compatible, il faut utiliser des blocs
newbb : newbb
pages : => xmcontent




Posté le : 29/09 15:07

Open in new window
Partager Twitter Partagez cette article sur GG+
Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Régulier
Inscrit: 14/12/2015 23:48
Messages: 153
@Christelle : Merci bcp pour votre aide ma chère :)
@Alain :Pourquoi bloocksadmin c'est inutile. C'est bien lui qui gère les blocs sur le site ?
Pour multimenu je ne sais comment m'ne passer pour le bloc "membres". C'est un bloc qui permet de s'identifier pour les utilisateurs, et une fois identifiés il affiche plusieurs menus (mon compte, mes docs, modifier mon mot de passe).

Posté le : 29/09 17:33
Partager Twitter Partagez cette article sur GG+
Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Admin Frxoops
Inscrit: 04/03/2011 09:10
De Lot
Messages: 2656
blockadmin est intégré au noyau de Xoops maintenant, donc oui, inutile. Ta version de Xoops doit vraiment ancienne.

Pour le menu que tu parles, un bloc, avec du Smarty et le html qui va bien. La plupart des variables de Xoops sont présentes en Smarty. Et même, moi perso, j'intégrerai le menu en dur dans le thème.

Posté le : 29/09 17:44
Partager Twitter Partagez cette article sur GG+
Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Admin Frxoops
Inscrit: 04/02/2003 06:41
Messages: 830
Multimenu, ce nom de module me disait bien quelque chose

https://www.frxoops.org/modules/newbb/ ... p?topic_id=34105&forum=12

bref, le module doit être mis à jour (correction des bugs ou dernière version si elle existe), ou bien partir sur un nouveau système de menu.

Posté le : 29/09 19:08

Quand tu montres la lune du doigt, l'imbécile regarde le doigt.
Infos sur TSO et tutos PC sur Tutoriaux PC
Partager Twitter Partagez cette article sur GG+
Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Régulier
Inscrit: 14/12/2015 23:48
Messages: 153
@Cedric : Je peux donc désinstaller ce module sans problème ? Mais qu’adviendra-t-il de mes blocs actuels ?

Posté le : 29/09 20:38
Partager Twitter Partagez cette article sur GG+
Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Admin Frxoops
Inscrit: 16/05/2003 18:10
De Rhone-Alpes
Messages: 3857
lol

Très simple,
tu peux, avant de désinstaller un module, simplement le désactiver, et tu vois que tout les blocs seront présents.

Si tout est ok, ensuite tu pourras désinstaller ce module.

La désactivation d'un module désactive l'accès aux tables dans la BDD liées à ce module sans pour autant les supprimer.
Ainsi, si tu réactives le module, il sera dans l'état juste avant modification.

Pour le module Blocksadmin, c'est un module qui utilise des tables system et non des tables dédiées au module.
En gros, ce module proposait une interface plus conviviale en X2.4 mais depuis, c'est totalement intégré au noyau, en X2.5.x.

Gestion des blocs :
https://monsite.fr/modules/system/admin.php?fct=blocksadmin

Posté le : 30/09 08:27

Open in new window
Partager Twitter Partagez cette article sur GG+
Re: Upgarde de Xoops : De 2.4.2 à 2.5.10
Régulier
Inscrit: 14/12/2015 23:48
Messages: 153
@Alain : C'est bien, j'ignorai cela complètement.
Maintenant comment je peux modifier le bloc User Menu, j'ai besoin d'enlever des sous-menus et d'en ajouter un ?

Posté le : 30/09 13:00
Partager Twitter Partagez cette article sur GG+

 Haut   Précédent   Suivant
« 1 2 3 4 (5) 6 7 8 »




Propulsé avec XOOPS | Graphisme adapté par Tatane, Grosdunord, Montuy337513

111 Personne(s) en ligne (102 Personne(s) connectée(s) sur Forum) | Utilisateur(s): 0 | Invité(s): 111 | Plus ...